package com.hfkj.dao;

import com.hfkj.entity.BsGasChannelConfig;
import com.hfkj.entity.BsGasChannelConfigExample;
import java.util.List;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.DeleteProvider;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.InsertProvider;
import org.apache.ibatis.annotations.Options;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Result;
import org.apache.ibatis.annotations.Results;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.SelectProvider;
import org.apache.ibatis.annotations.Update;
import org.apache.ibatis.annotations.UpdateProvider;
import org.apache.ibatis.type.JdbcType;
import org.springframework.stereotype.Repository;

/**
 * 
 * 代码由工具生成,请勿修改!!!
 * 如果需要扩展请在其父类进行扩展
 * 
 **/
@Repository
public interface BsGasChannelConfigMapper extends BsGasChannelConfigMapperExt {
    @SelectProvider(type=BsGasChannelConfigSqlProvider.class, method="countByExample")
    long countByExample(BsGasChannelConfigExample example);

    @DeleteProvider(type=BsGasChannelConfigSqlProvider.class, method="deleteByExample")
    int deleteByExample(BsGasChannelConfigExample example);

    @Delete({
        "delete from bs_gas_channel_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int deleteByPrimaryKey(Long id);

    @Insert({
        "insert into bs_gas_channel_config (gas_channel_type, trade_status, ",
        "channel_type, channel_mer_no, ",
        "channel_mer_key, ledger_account_flag, ",
        "ledger_account_data, create_time, ",
        "update_time, `status`, ",
        "ext_1, ext_2, ext_3)",
        "values (#{gasChannelType,jdbcType=INTEGER}, #{tradeStatus,jdbcType=BIT}, ",
        "#{channelType,jdbcType=INTEGER}, #{channelMerNo,jdbcType=VARCHAR}, ",
        "#{channelMerKey,jdbcType=VARCHAR}, #{ledgerAccountFlag,jdbcType=BIT}, ",
        "#{ledgerAccountData,jdbcType=VARCHAR}, #{createTime,jdbcType=TIMESTAMP}, ",
        "#{updateTime,jdbcType=TIMESTAMP}, #{status,jdbcType=INTEGER}, ",
        "#{ext1,jdbcType=VARCHAR}, #{ext2,jdbcType=VARCHAR}, #{ext3,jdbcType=VARCHAR})"
    })
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insert(BsGasChannelConfig record);

    @InsertProvider(type=BsGasChannelConfigSqlProvider.class, method="insertSelective")
    @Options(useGeneratedKeys=true,keyProperty="id")
    int insertSelective(BsGasChannelConfig record);

    @SelectProvider(type=BsGasChannelConfigSqlProvider.class, method="selectByExample")
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="gas_channel_type", property="gasChannelType", jdbcType=JdbcType.INTEGER),
        @Result(column="trade_status", property="tradeStatus", jdbcType=JdbcType.BIT),
        @Result(column="channel_type", property="channelType", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_mer_no", property="channelMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="channel_mer_key", property="channelMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="ledger_account_flag", property="ledgerAccountFlag", jdbcType=JdbcType.BIT),
        @Result(column="ledger_account_data", property="ledgerAccountData", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    List<BsGasChannelConfig> selectByExample(BsGasChannelConfigExample example);

    @Select({
        "select",
        "id, gas_channel_type, trade_status, channel_type, channel_mer_no, channel_mer_key, ",
        "ledger_account_flag, ledger_account_data, create_time, update_time, `status`, ",
        "ext_1, ext_2, ext_3",
        "from bs_gas_channel_config",
        "where id = #{id,jdbcType=BIGINT}"
    })
    @Results({
        @Result(column="id", property="id", jdbcType=JdbcType.BIGINT, id=true),
        @Result(column="gas_channel_type", property="gasChannelType", jdbcType=JdbcType.INTEGER),
        @Result(column="trade_status", property="tradeStatus", jdbcType=JdbcType.BIT),
        @Result(column="channel_type", property="channelType", jdbcType=JdbcType.INTEGER),
        @Result(column="channel_mer_no", property="channelMerNo", jdbcType=JdbcType.VARCHAR),
        @Result(column="channel_mer_key", property="channelMerKey", jdbcType=JdbcType.VARCHAR),
        @Result(column="ledger_account_flag", property="ledgerAccountFlag", jdbcType=JdbcType.BIT),
        @Result(column="ledger_account_data", property="ledgerAccountData", jdbcType=JdbcType.VARCHAR),
        @Result(column="create_time", property="createTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="update_time", property="updateTime", jdbcType=JdbcType.TIMESTAMP),
        @Result(column="status", property="status", jdbcType=JdbcType.INTEGER),
        @Result(column="ext_1", property="ext1", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_2", property="ext2", jdbcType=JdbcType.VARCHAR),
        @Result(column="ext_3", property="ext3", jdbcType=JdbcType.VARCHAR)
    })
    BsGasChannelConfig selectByPrimaryKey(Long id);

    @UpdateProvider(type=BsGasChannelConfigSqlProvider.class, method="updateByExampleSelective")
    int updateByExampleSelective(@Param("record") BsGasChannelConfig record, @Param("example") BsGasChannelConfigExample example);

    @UpdateProvider(type=BsGasChannelConfigSqlProvider.class, method="updateByExample")
    int updateByExample(@Param("record") BsGasChannelConfig record, @Param("example") BsGasChannelConfigExample example);

    @UpdateProvider(type=BsGasChannelConfigSqlProvider.class, method="updateByPrimaryKeySelective")
    int updateByPrimaryKeySelective(BsGasChannelConfig record);

    @Update({
        "update bs_gas_channel_config",
        "set gas_channel_type = #{gasChannelType,jdbcType=INTEGER},",
          "trade_status = #{tradeStatus,jdbcType=BIT},",
          "channel_type = #{channelType,jdbcType=INTEGER},",
          "channel_mer_no = #{channelMerNo,jdbcType=VARCHAR},",
          "channel_mer_key = #{channelMerKey,jdbcType=VARCHAR},",
          "ledger_account_flag = #{ledgerAccountFlag,jdbcType=BIT},",
          "ledger_account_data = #{ledgerAccountData,jdbcType=VARCHAR},",
          "create_time = #{createTime,jdbcType=TIMESTAMP},",
          "update_time = #{updateTime,jdbcType=TIMESTAMP},",
          "`status` = #{status,jdbcType=INTEGER},",
          "ext_1 = #{ext1,jdbcType=VARCHAR},",
          "ext_2 = #{ext2,jdbcType=VARCHAR},",
          "ext_3 = #{ext3,jdbcType=VARCHAR}",
        "where id = #{id,jdbcType=BIGINT}"
    })
    int updateByPrimaryKey(BsGasChannelConfig record);
}