package com.hfkj.service.agent.impl;

import com.hfkj.dao.BsAgentMerAccountRecordMapper;
import com.hfkj.entity.BsAgentMerAccountRecord;
import com.hfkj.entity.BsAgentMerAccountRecordExample;
import com.hfkj.service.agent.BsAgentMerAccountRecordService;
import org.apache.commons.collections4.MapUtils;
import org.apache.commons.lang3.StringUtils;
import org.apache.poi.util.StringUtil;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @className: BsAgentMerAccountRecordServiceImpl
 * @author: HuRui
 * @date: 2024/8/1
 **/
@Service("agentMerAccountRecordService")
public class BsAgentMerAccountRecordServiceImpl implements BsAgentMerAccountRecordService {
    @Resource
    private BsAgentMerAccountRecordMapper agentMerAccountRecordMapper;

    @Override
    public void create(BsAgentMerAccountRecord data) {
        data.setCreateTime(new Date());
        agentMerAccountRecordMapper.insert(data);
    }

    @Override
    public List<BsAgentMerAccountRecord> getList(Map<String, Object> param) {
        BsAgentMerAccountRecordExample example = new BsAgentMerAccountRecordExample();
        BsAgentMerAccountRecordExample.Criteria criteria = example.createCriteria().andStatusNotEqualTo(0);

        if (MapUtils.getLong(param, "agentMerAccountId") != null) {
            criteria.andAgentMerAccountIdEqualTo(MapUtils.getLong(param, "agentMerAccountId"));
        }

        if (MapUtils.getLong(param, "agentId") != null) {
            criteria.andAgentMerAccountIdEqualTo(MapUtils.getLong(param, "agentId"));
        }

        if (StringUtils.isNotBlank(MapUtils.getString(param, "merNo"))) {
            criteria.andMerNoEqualTo(MapUtils.getString(param, "merNo"));
        }

        example.setOrderByClause("create_time desc");
        return agentMerAccountRecordMapper.selectByExample(example);
    }
}
